<?php
/**
 * Set up and enqueue all CS and JS files.
 *
 * @author David Bisset <dbisset@dimensionmedia.com>
 * @package Community Activate for BuddyPress
 * @subpackage cssjs
 * @version 0.1
 *
 */

/**
 * Enqueues CSS files.
 *
 * @since 0.1
 * @global object $bp BuddyPress global settings
 */
function bpca_add_css() {
	global $bp;

}
add_action( 'wp_head', 'bpca_add_css' );

/**
 * Enqueues JavaScript files.
 *
 * @since 2.0
 * @global object $bp BuddyPress global settings
 */
function bpca_add_js() {
	global $bp;
	
	if ( $bp->current_component != $bp->cactivate->slug )
		return;

	if ( $bp->is_single_item )
		wp_enqueue_script( 'invites-detail-js', plugins_url( '/js/detail.js', __FILE__ ), array(), CACTIVATE_VERSION );
	else
		wp_enqueue_script( 'invites-directory-js', plugins_url( '/js/directory.js', __FILE__ ), array(), CACTIVATE_VERSION );
}
add_action( 'wp_head', 'bpca_add_js', 1 );
?>